<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="38" short-name="conversion" url="https://polygon.codeforces.com/p1hk94z/tourist/conversion">
    <names>
        <name language="english" value="Compact Encoding"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>99</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="conversion-gen 1" method="generated"/>
                <test cmd="conversion-gen 2" method="generated"/>
                <test cmd="conversion-gen 3" method="generated"/>
                <test cmd="conversion-gen 4" method="generated"/>
                <test cmd="conversion-gen 5" method="generated"/>
                <test cmd="conversion-gen 6" method="generated"/>
                <test cmd="conversion-gen 7" method="generated"/>
                <test cmd="conversion-gen 8" method="generated"/>
                <test cmd="conversion-gen 9" method="generated"/>
                <test cmd="conversion-gen 10" method="generated"/>
                <test cmd="conversion-gen 11" method="generated"/>
                <test cmd="conversion-gen 12" method="generated"/>
                <test cmd="conversion-gen 13" method="generated"/>
                <test cmd="conversion-gen 14" method="generated"/>
                <test cmd="conversion-gen 15" method="generated"/>
                <test cmd="conversion-gen 16" method="generated"/>
                <test cmd="conversion-gen 17" method="generated"/>
                <test cmd="conversion-gen 18" method="generated"/>
                <test cmd="conversion-gen 19" method="generated"/>
                <test cmd="conversion-gen 20" method="generated"/>
                <test cmd="conversion-gen 21" method="generated"/>
                <test cmd="conversion-gen 22" method="generated"/>
                <test cmd="conversion-gen 23" method="generated"/>
                <test cmd="conversion-gen 24" method="generated"/>
                <test cmd="conversion-gen 25" method="generated"/>
                <test cmd="conversion-gen 26" method="generated"/>
                <test cmd="conversion-gen 27" method="generated"/>
                <test cmd="conversion-gen 28" method="generated"/>
                <test cmd="conversion-gen 29" method="generated"/>
                <test cmd="conversion-gen 30" method="generated"/>
                <test cmd="conversion-gen 31" method="generated"/>
                <test cmd="conversion-gen 32" method="generated"/>
                <test cmd="conversion-gen 33" method="generated"/>
                <test cmd="conversion-gen 34" method="generated"/>
                <test cmd="conversion-gen 35" method="generated"/>
                <test cmd="conversion-gen 36" method="generated"/>
                <test cmd="conversion-gen 37" method="generated"/>
                <test cmd="conversion-gen 38" method="generated"/>
                <test cmd="conversion-gen 39" method="generated"/>
                <test cmd="conversion-gen 40" method="generated"/>
                <test cmd="conversion-gen 41" method="generated"/>
                <test cmd="conversion-gen 42" method="generated"/>
                <test cmd="conversion-gen 43" method="generated"/>
                <test cmd="conversion-gen 44" method="generated"/>
                <test cmd="conversion-gen 45" method="generated"/>
                <test cmd="conversion-gen 46" method="generated"/>
                <test cmd="conversion-gen 47" method="generated"/>
                <test cmd="conversion-gen 48" method="generated"/>
                <test cmd="conversion-gen 49" method="generated"/>
                <test cmd="conversion-gen 50" method="generated"/>
                <test cmd="conversion-gen 51" method="generated"/>
                <test cmd="conversion-gen 52" method="generated"/>
                <test cmd="conversion-gen 53" method="generated"/>
                <test cmd="conversion-gen 54" method="generated"/>
                <test cmd="conversion-gen 55" method="generated"/>
                <test cmd="conversion-gen 56" method="generated"/>
                <test cmd="conversion-gen 57" method="generated"/>
                <test cmd="conversion-gen 58" method="generated"/>
                <test cmd="conversion-gen 59" method="generated"/>
                <test cmd="conversion-gen 60" method="generated"/>
                <test cmd="conversion-gen 61" method="generated"/>
                <test cmd="conversion-gen 62" method="generated"/>
                <test cmd="conversion-gen 63" method="generated"/>
                <test cmd="conversion-gen 64" method="generated"/>
                <test cmd="conversion-gen 65" method="generated"/>
                <test cmd="conversion-gen 66" method="generated"/>
                <test cmd="conversion-gen 67" method="generated"/>
                <test cmd="conversion-gen 68" method="generated"/>
                <test cmd="conversion-gen 69" method="generated"/>
                <test cmd="conversion-gen 70" method="generated"/>
                <test cmd="conversion-gen 71" method="generated"/>
                <test cmd="conversion-gen 72" method="generated"/>
                <test cmd="conversion-gen 73" method="generated"/>
                <test cmd="conversion-gen 74" method="generated"/>
                <test cmd="conversion-gen 75" method="generated"/>
                <test cmd="conversion-gen 76" method="generated"/>
                <test cmd="conversion-gen 77" method="generated"/>
                <test cmd="conversion-gen 78" method="generated"/>
                <test cmd="conversion-gen 79" method="generated"/>
                <test cmd="conversion-gen 80" method="generated"/>
                <test cmd="conversion-gen 81" method="generated"/>
                <test cmd="conversion-gen 82" method="generated"/>
                <test cmd="conversion-gen 83" method="generated"/>
                <test cmd="conversion-gen 84" method="generated"/>
                <test cmd="conversion-gen 85" method="generated"/>
                <test cmd="conversion-gen 86" method="generated"/>
                <test cmd="conversion-gen 87" method="generated"/>
                <test cmd="conversion-gen 88" method="generated"/>
                <test cmd="conversion-gen 89" method="generated"/>
                <test cmd="conversion-gen 90" method="generated"/>
                <test cmd="conversion-gen 91" method="generated"/>
                <test cmd="conversion-gen 92" method="generated"/>
                <test cmd="conversion-gen 93" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/conversion-gen.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/conversion-gen.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
                <testset>
                    <test-count>6</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/347931163_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347931163_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347944543_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/347944543_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347989548_shevlopmes_RomkaRS_artem3605_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347989548_shevlopmes_RomkaRS_artem3605_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348013887__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348013887__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348046681_shade34_SomethingNew_goncharovmike_ok.py" type="python.pypy3-64"/>
                <binary path="solutions/348046681_shade34_SomethingNew_goncharovmike_ok.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348109405_Karuk_BLOBVISGOD_jeroenodb_ok.py" type="python.pypy3-64"/>
                <binary path="solutions/348109405_Karuk_BLOBVISGOD_jeroenodb_ok.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348134228_Stanislau_Karabutsa_alex.dobleaga_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348134228_Stanislau_Karabutsa_alex.dobleaga_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/conversion_ds.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/conversion_ds.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/conversion_ds_long.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/conversion_ds_long.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/conversion_ds_strange.c" type="cpp.g++17"/>
                <binary path="solutions/conversion_ds_strange.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="conversions"/>
    </tags>
</problem>
